libzypp 17.37.10

zypp::media::CredManagerOptions Struct Reference

`#include <zypp-media/auth/credentialmanager.h>`

## Public Member Functions
| CredManagerOptions (const Pathname &rootdir="")

## Public Attributes
Pathname | globalCredFilePath
Pathname | userCredFilePath
Pathname | customCredFileDir

## Detailed Description

Todo
  configurable cred file locations

Definition at line 39 of file credentialmanager.h.

## Constructor & Destructor Documentation

## ◆ CredManagerOptions()

zypp::media::CredManagerOptions::CredManagerOptions | ( | const Pathname & | rootdir = "" | ) |

Definition at line 71 of file credentialmanager.cc.

## Member Data Documentation

## ◆ globalCredFilePath

Pathname zypp::media::CredManagerOptions::globalCredFilePath

Definition at line 43 of file credentialmanager.h.

## ◆ userCredFilePath

Pathname zypp::media::CredManagerOptions::userCredFilePath

Definition at line 44 of file credentialmanager.h.

## ◆ customCredFileDir

Pathname zypp::media::CredManagerOptions::customCredFileDir

Definition at line 45 of file credentialmanager.h.

The documentation for this struct was generated from the following files:

- zypp-media/auth/credentialmanager.h
- zypp-media/auth/credentialmanager.cc